#docker-compose.yml

version: "3.3"
services:

  plex:
          #logging:
          #driver: loki
          #options:
          #loki-url: "http://localhost:3100/loki/api/v1/push"
    #image: lscr.io/linuxserver/plex:latest
    image: plexinc/pms-docker:latest
    container_name: plex
    #network_mode: host
    ports:
      - "32400:32400/tcp"
      - "3005:3005/tcp"
      - "8324:8324/tcp"
      - "32469:32469/tcp"
      - "1900:1900/udp"
      - "32410:32410/udp"
      - "32412:32412/udp"
      - "32413:32413/udp"
      - "32414:32414/udp"
    environment:
      - PLEX_UID=0
      - PLEX_GID=0
      - VERSION=docker
        #      - PLEX_CLAIM=claim-39LcyHxybF_qkcxo_wGN
      - ADVERTISE_IP="http://10.0.0.48:32400/"
        #labels:
        #- com.centurylinklabs.watchtower.enable=true
    volumes:
      - /home/icke/plex:/config
      - /mnt/Filme:/data/movies:rw
        #- /mnt/buffer_filme/filme:/data/buffer_filme:rw
        #      - /mnt/Storage_box:/data/storage_box:rw
        #- /mnt/Musik:/data/music:rw
      - /mnt/Serien:/data/serien:rw
      - /mnt/transcode:/transcode
      - /mnt/nextcloud/robert.wiegand/files/gopro/:/gopro:rw
        #      - /mnt/nextcloud/robert.wiegand/files/Sofortupload/:/bilder:rw
    restart: unless-stopped
#    networks:
#      plex:
#        ipv4_address: 172.26.0.2

##networks:
#  plex:
#   driver: bridge
#   ipam:
#    config:
#      - subnet: 172.26.0.0/30
